# Deprecated API

## Contents

- Methods

Methods

org.stianloader.micromixin.transform.api.InjectionPointSelector.supportsRedirect()

Redirect in theory (not implemented in micromixin-transformer as of now) also supports redirecting PUTFIELD/GETFIELD, PUTSTATIC/GETStATIC, xALOAD and the ARRAYLENGTH instructions. Added with the introduction of slices which make the semantics of the matched instruction type less predictable at first glance, this method has little sense going forward.

org.stianloader.micromixin.transform.api.MixinTransformer.transform​(ClassNode)

org.stianloader.micromixin.transform.api.SlicedInjectionPointSelector.supportsRedirect()

Redirect in theory (not implemented in micromixin-transformer as of now) also supports redirecting PUTFIELD/GETFIELD, PUTSTATIC/GETStATIC, xALOAD and the ARRAYLENGTH instructions. Added with the introduction of slices which make the semantics of the matched instruction type less predictable at first glance, this method has little sense going forward.

org.stianloader.micromixin.transform.internal.annotation.MixinAnnotation.isCompatible​(Collection<MixinAnnotation<T>>)
org.stianloader.micromixin.transform.internal.util.smap.SMAPRoot.applyTo​(ClassNode, StringBuilder)